#
#       Makefile for viblib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= viblib
LIBFSRCS	= vifnb.f vifnb0.f vifnb1.f viadd.f viadd0.f viadd1.f \
		  visub.f visub0.f visub1.f vimlt.f vimlt0.f vimlt1.f \
		  vidiv.f vidiv0.f vidiv1.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= vifnb.o vifnb0.o vifnb1.o viadd.o viadd0.o viadd1.o \
		  visub.o visub0.o visub1.o vimlt.o vimlt0.o vimlt1.o \
		  vidiv.o vidiv0.o vidiv1.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
